Bug 105636 - cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated'
Summary: cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated'
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: D-Bus Maintainers
QA Contact: D-Bus Maintainers
URL:
Whiteboard: review+
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-03-21 00:08 UTC by Ralf Habacker
Modified: 2018-03-21 14:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated' (1.04 KB, patch)
2018-03-21 00:08 UTC, Ralf Habacker
Details | Splinter Review
cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated' (1.07 KB, patch)
2018-03-21 13:59 UTC, Ralf Habacker
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2018-03-21 00:08:57 UTC
On updating my travis-ci dbus workflow I recognized this warning.
Comment 1 Ralf Habacker 2018-03-21 00:08:59 UTC
Created attachment 138231 [details] [review]
cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated'

CMake suggests to set CMAKE_C.._COMPILER instead and let allow CMake to
identify the compiler.

Bug:
Comment 2 Simon McVittie 2018-03-21 13:53:52 UTC
Comment on attachment 138231 [details] [review]
cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated'

Review of attachment 138231 [details] [review]:
-----------------------------------------------------------------

Assuming it works, go ahead

::: cmake/i686-w64-mingw32.cmake
@@ +11,3 @@
>  set(MINGW TRUE)
>  
>  include(CMakeForceCompiler)

With this change, is CMakeForceCompiler still needed?
Comment 3 Ralf Habacker 2018-03-21 13:56:53 UTC
(In reply to Simon McVittie from comment #2)
> Comment on attachment 138231 [details] [review] [review]
> cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is
> deprecated'
> 
> Review of attachment 138231 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> Assuming it works, go ahead

I tried that on travis-ci 
> 
> ::: cmake/i686-w64-mingw32.cmake
> @@ +11,3 @@
> >  set(MINGW TRUE)
> >  
> >  include(CMakeForceCompiler)
> 
> With this change, is CMakeForceCompiler still needed?

from the file 
#.rst:
# CMakeForceCompiler
# ------------------
#
# Deprecated.  Do not use.

I would say yes.
Comment 4 Ralf Habacker 2018-03-21 13:57:24 UTC
(In reply to Ralf Habacker from comment #3)

> > With this change, is CMakeForceCompiler still needed?
> 
> from the file 
> #.rst:
> # CMakeForceCompiler
> # ------------------
> #
> # Deprecated.  Do not use.
> 
> I would say yes.

sorry - I meant it could be removed
Comment 5 Ralf Habacker 2018-03-21 13:59:26 UTC
Created attachment 138245 [details] [review]
cmake: Fix warning on travis-ci 'CMAKE_FORCE_C.._COMPILER macro is deprecated'

- remove obsolate include
Comment 6 Ralf Habacker 2018-03-21 14:04:00 UTC
applied to master


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.